Instructions for specific versions

  • Upgrade to version 6

    In version 6.0.1+, many root files are no longer needed. Please go through the list below and decide whether or not you want to keep those files. It is recommended to delete all files you don’t need: a_noskin.php – if you needed this, you… more »
  • Upgrade from 1.10.x to 2.0.x

    Settings required after the Upgrade * All your blogs will be assigned to the default skin again * Go to Global Settings > Skins and install any third party/custom skin you want to use; you may also remove skins you don’t want to use * Go to… more »
  • Upgrade from 0.9.x to 2.x

    These guidelines were provided by Dave Kulju This isn’t a comprehensive list but here are some of the ones I remember… <source lang="php"> php skinbase() </source> changed to <source lang="php">… more »
  • Upgrade from 0.9.x to 1.8.x

    Make sure you start by following the [[Upgrade_from_an_older_version|general upgrade procedure]]. Once the new version is installed, you may need the information below for fine tuning… Stub files Overall, stub files remain the same. However,… more »
  • Upgrade from 1.6.x to 1.8.x

    Skins Most skin files are the same, however there are small differences in _main.php . If you have only small customizations to your 1.6 skin, it may be easier to just take a default 1.8 skin and apply the modifications again. Otherwise, if you want… more »
  • Upgrade from 2.x to 3.x

    Skins Upgrade b2evolution 2.x skins should work in b2evolution 3.x without modification. (see below if you have issues with the menu bar) However, if you want to take advantage of all the new features in b2evolution 3.0 you may need to add a few skin… more »
  • Upgrade Skin from 0.9.2 to 1.8

    If you have a personalized skin that worked well with the 0.9.2 ([http://prdownloads.sourceforge.net/evocms/b2evolution-0.9.2-2006-05-22.zip?download Sparkle]) release, this guide will show you what you need to do in order to make your skin work with th… more »
  • Upgrading from 1.6.x to 1.8.x

    Skins Most skin files are the same, however there are small differences in _main.php. If you only have small customizations to your 1.6 skin, it may be easier to just take a default 1.8 skin and apply the modifications again. Otherwise, if you want to… more »
  • Upgrade from 0.9.x to 1.6 alpha

    Skins If you use a custom skin, at the very minimum, you’ll have to change the following: * Replace the part <nowiki><base href="<?php skinbase() ?>" … /></nowiki> just with <nowiki><?php s… more »
  • Upgrade from 1.8.x to 1.9.x

    This is a pretty simple upgrade: you basically only need to follow the [[Upgrade_from_an_older_version|general procedure]] to upgrade your database. Skins are compatible. 1.8.x skins will work on 1.9.x. more »
  • Upgrade from 0.9.x to 1.10.3 or 2.4rc2

    Upgrade from 0.9.x to 1.10.3 or 2.4rc2 If you are still running a 0.* version you NEED to upgrade. EVERYTHING from back then is obsolete and unsupported, and more importantly you’re missing out on lots of really cool stuff. Now that we know you&#… more »
  • Upgrading from 0.9.x to 1.6 alpha

    Re-customizing you skin If you used a custom skin in version 0.9.x then upgraded to 1.6.alpha, and you want to reuse your customized skin, at the very minimum, you’ll have to change the following: Step 1. Replace the part: &lt;base href=&am… more »
  • Upgrading from 0.9.0.x to 0.9.1

    This page is about upgrading from version 0.9.0.x to 0.9.1 The latest documentation for upgrading is included in your blog bundle, in the doc directory, for example [codespan]doc/upgradefrom_b2evo.en-UK.html[/codespan]. The following documentation refe… more »
  • Upgrading from version 0.8.9

    This page is about upgrading from version 0.8.9 to 0.9 Please see the instructions bundled with the distribution for general upgrade instructions and come back here once you have finished general upgrade. Default skin In some situations, you may ge… more »
  • Upgrading from version 0.8.2

    This man page refers to b2evolution version: 0.8.6 As always, it is very wise to do a backup of your current website / blog / database (depending on what you already have) before starting to install something new. Upgrading templates or skins from 0.8… more »
  • Upgrading from 0.9.x to 1.8.x

    Make sure you start by following the general upgrade instructions. Once the new version is installed, you may need the information below for fine tuning… Stub files Overall, stub files remain the same. However, since the file organization has… more »
  • Upgrade Skin from 0.9.2 to 1.8 Head All

    If you have a personalized skin that worked well with the 0.9.2 ([http://prdownloads.sourceforge.net/evocms/b2evolution-0.9.2-2006-05-22.zip?download Sparkle]) release, this guide will show you what you need to do in order to make your skin work with th… more »
  • Upgrade Skin from 1.6 to 1.8

    If you already have a personalized skin that works with b2evolution 1.6 and you now want to upgrade it to work with 1.8, then this guide shows you how. Luckily, there’s not much to it. Head plugin hook There’s a new plugin hook that allo… more »
  • Upgrade Skin from 0.9.2 to 1.8 Support Files

    This page shows changes you need to make, files you can delete, and files you need to add in order to upgrade your personalized skin from 0.9.2 to the 1.8 version of b2evolution. These changes are only part of the whole! You must also upgrade your ski… more »
  • Upgrade Skin from 0.9.2 to 1.8 Head LineByLine

    This page shows a line by line description of the changes to the head generating portion of your _main.php file, and what you need to change to upgrade your skin from 0.9.2 to 1.8. If you do not have any custom tags in your personalized skin you can fo… more »
  • Upgrading from version 0.8.0

    This man page refers to b2evolution version: 0.8.2-RC2 As always, it is very wise to do a backup of your current website / blog / database (depending on what you already have) before starting to install something new. Upgrading from version 0.8.0 is v… more »